diffstat for chemical-mime-data-0.1.94 chemical-mime-data-0.1.94

 changelog                     |   19 +++++++++++++++++++
 control                       |    7 +++----
 patches/652153_drop_gmd.patch |   12 ------------
 patches/series                |    1 -
 rules                         |    1 +
 5 files changed, 23 insertions(+), 17 deletions(-)

diff -Nru chemical-mime-data-0.1.94/debian/changelog chemical-mime-data-0.1.94/debian/changelog
--- chemical-mime-data-0.1.94/debian/changelog	2020-12-28 12:18:07.000000000 +0000
+++ chemical-mime-data-0.1.94/debian/changelog	2021-10-21 11:17:43.000000000 +0100
@@ -1,3 +1,22 @@
+chemical-mime-data (0.1.94-7.2) unstable; urgency=medium
+
+  * Non-maintainer upload
+
+  [ Daniel Leidert ]
+  * Fix Vcs-* fields in debian/control after migrating package to Git.
+  * Use overlay layout for git-buildpackage.
+
+  [ Simon McVittie ]
+  * Import changelog entry from reproducible-builds NMU
+  * Remove support for the obsolete gnome-mime-data system.
+    GNOME has used the freedesktop.org shared MIME infrastructure since
+    the release of GNOME 3 in 2011, and possibly longer. gnome-mime-data
+    was used by gnome-vfs, which was finally removed from Debian in 2019.
+    With gnome-mime-data disabled, debian/patches/652153_drop_gmd.patch has
+    no practical effect and can be dropped. (Closes: #947900)
+
+ -- Simon McVittie <smcv@debian.org>  Thu, 21 Oct 2021 11:17:43 +0100
+
 chemical-mime-data (0.1.94-7.1) unstable; urgency=medium
 
   * Non maintainer upload by the Reproducible Builds team.
diff -Nru chemical-mime-data-0.1.94/debian/control chemical-mime-data-0.1.94/debian/control
--- chemical-mime-data-0.1.94/debian/control	2018-01-16 14:55:40.000000000 +0000
+++ chemical-mime-data-0.1.94/debian/control	2021-10-21 11:17:43.000000000 +0100
@@ -5,16 +5,15 @@
 Uploaders: Michael Banck <mbanck@debian.org>,
            Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper (>> 11~)
-Build-Depends-Indep: gnome-mime-data,
-                     intltool,
+Build-Depends-Indep: intltool,
                      librsvg2-bin,
                      pkg-config,
                      shared-mime-info,
                      xsltproc
 Standards-Version: 4.1.3
 Homepage: https://github.com/dleidert/chemical-mime
-Vcs-Browser: https://anonscm.debian.org/viewvc/debichem/unstable/chemical-mime-data/
-Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/chemical-mime-data/
+Vcs-Browser: https://salsa.debian.org/debichem-team/chemical-mime-data
+Vcs-Git: https://salsa.debian.org/debichem-team/chemical-mime-data.git
 
 Package: chemical-mime-data
 Architecture: all
diff -Nru chemical-mime-data-0.1.94/debian/patches/652153_drop_gmd.patch chemical-mime-data-0.1.94/debian/patches/652153_drop_gmd.patch
--- chemical-mime-data-0.1.94/debian/patches/652153_drop_gmd.patch	2018-01-16 14:55:40.000000000 +0000
+++ chemical-mime-data-0.1.94/debian/patches/652153_drop_gmd.patch	1970-01-01 01:00:00.000000000 +0100
@@ -1,12 +0,0 @@
-Author: Daniel Leidert <dleidert@debian.org>
-Description: gnome-mime-data-2.0 is dropped from the pkg-config file
-Bug-Debian: http://bugs.debian.org/652153
-
---- a/chemical-mime-data.pc.in
-+++ b/chemical-mime-data.pc.in
-@@ -19,4 +19,4 @@
- Description: Chemical MIME and file type support for KDE, GNOME and ROX desktops.
- Version: @VERSION@
- URL: http://chemical-mime.sf.net
--Requires:@CHEMICAL_MIME_DEPS@
-+Requires: shared-mime-info
diff -Nru chemical-mime-data-0.1.94/debian/patches/series chemical-mime-data-0.1.94/debian/patches/series
--- chemical-mime-data-0.1.94/debian/patches/series	2018-01-16 15:48:30.000000000 +0000
+++ chemical-mime-data-0.1.94/debian/patches/series	2021-10-21 11:17:43.000000000 +0100
@@ -1,3 +1,2 @@
 sourceforge.patch
 661326_rsvg-convert.patch
-652153_drop_gmd.patch
diff -Nru chemical-mime-data-0.1.94/debian/rules chemical-mime-data-0.1.94/debian/rules
--- chemical-mime-data-0.1.94/debian/rules	2018-01-16 14:55:40.000000000 +0000
+++ chemical-mime-data-0.1.94/debian/rules	2021-10-21 11:17:43.000000000 +0100
@@ -14,6 +14,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    --disable-nls \
+	    --without-gnome-mime \
 	    --without-kde-mime \
 	    --disable-update-database --disable-convert \
 	    RSVG="/usr/bin/rsvg-convert" \
